pro allcoords
;
;
print,'Define input format code:'
print,'RA & Dec  2000  dec. hours, dec. degrees    1'
print,'RA & Dec  2000  dec. degrees, dec. degrees  2'
print,'RA & Dec  2000  HMS, DMS                    3'
print,'RA & Dec  1950  dec. hours, dec. degrees    4'
print,'RA & Dec  1950  dec. degrees, dec. degrees  5'
print,'RA & Dec  1950  HMS, DMS                    6'
print,'Gal. long., lat., dec. deg.                 7'

style = 0
read,'      Enter the format code : ... ', style

; Get input and convert to RADec2000 in decimal degrees

ra2000decdeg = 0.0
ra2000dechrs = 0.0
dc2000decdeg = 0.0
ra1950decdeg = 0.0
ra1950dechrs = 0.0
dc1950decdeg = 0.0
gallondecdeg = 0.0
gallatdecdeg = 0.0
answer = ''

case style of
   1 : begin
        read,'Enter RA J2000 in decimal hours : ... ', ra2000dechrs
        read,'Enter Dec J2000 in decimal degrees : ... ', dc2000decdeg
        ra2000decdeg = ra2000dechrs * 15.
       end
   2 : begin
        read,'Enter RA J2000 in decimal degrees : ... ', ra2000decdeg
        read,'Enter Dec J2000 in decimal degrees : ... ', dc2000decdeg
       end
   3 : begin
        read,'Enter RA J2000 in HMS : ... ', answer
        ra2000decdeg = str2dd(answer) * 15.
        read,'Enter Dec J2000 in DMS : ... ', answer
        dc2000decdeg = str2dd(answer)
       end
   4 : begin
        read,'Enter RA J1950 in decimal hours : ... ', ra1950dechrs
        read,'Enter Dec J1950 in decimal degrees : ... ', dc1950decdeg
        ra1950decdeg = ra1950dechrs * 15.
        ra2000decdeg = ra1950decdeg
        dc2000decdeg = dc1950decdeg
        precess, ra2000decdeg, dc2000decdeg, 1950, 2000
       end
   5 : begin
        read,'Enter RA J1950 in decimal degrees : ... ', ra1950decdeg
        read,'Enter Dec J1950 in decimal degrees : ... ', dc1950decdeg
        ra2000decdeg = ra1950decdeg
        dc2000decdeg = dc1950decdeg
        precess, ra2000decdeg, dc2000decdeg, 1950, 2000
       end
   6 : begin
        read,'Enter RA J1950 in HMS : ... ', answer
        ra1950decdeg = str2dd(answer) * 15.
        read,'Enter Dec J1950 in DMS : ... ', answer
        dc1950decdeg = str2dd(answer)
        ra2000decdeg = ra1950decdeg
        dc2000decdeg = dc1950decdeg
        precess, ra2000decdeg, dc2000decdeg, 1950, 2000
       end
   7 : begin
        read,'Enter gal. longitude in decimal degrees : ... ', gallondecdeg
        read,'Enter gal. latitude  in decimal degrees : ... ', gallatdecdeg
        glactc, ra2000dechrs, dc2000decdeg,2000,gallondecdeg,gallatdecdeg,2
        ra2000decdeg = ra2000dechrs * 15.
       end
   else : begin
            print,'not a valid input'
       end
endcase

ra2000dechrs = ra2000decdeg / 15.
ra1950decdeg = ra2000decdeg
dc1950decdeg = dc2000decdeg
precess, ra1950decdeg, dc1950decdeg, 2000, 1950
ra1950dechrs = ra1950decdeg / 15.
glactc, ra2000dechrs, dc2000decdeg, 2000, gallondecdeg, gallatdecdeg, 1

print,'RA & Dec  2000  dec. hours, dec. degrees      ', ra2000dechrs, dc2000decdeg
print,'RA & Dec  2000  dec. degrees, dec. degrees    ', ra2000decdeg, dc2000decdeg
print,'RA & Dec  2000   HMS, DMS                     ', adstring(ra2000decdeg, dc2000decdeg)
print,'RA & Dec  1950  dec. hours, dec. degrees      ', ra1950dechrs, dc1950decdeg
print,'RA & Dec  1950  dec. degrees, dec. degrees    ', ra1950decdeg, dc1950decdeg
print,'RA & Dec  1950   HMS, DMS                     ', adstring(ra1950decdeg, dc1950decdeg)
print,'Gal. long., lat., dec. deg.                   ', gallondecdeg, gallatdecdeg
end
