function basename, filename, fpath=fpath
;
; Returns the basename of a file
;
if n_params() lt 1 then begin
   print,'Syntax: res = basename( filename[, fpath=] )'
   print,'      Keyword fpath returns full path'
   return,''
endif
fullname = fullpath(filename)
tok = reverse(strsplit(fullname,'/',/extract))
kot = reverse(tok(1:*))
fpath = collate_path(kot,/init)
return,tok(0)
end
