function breakup, a, threshold=threshold
;
; Divide an array with 'steps' into the
; individual steps
;
; E.g.  a = [1,2,3,4,100,100,101,99,50,51,50,49]
; returns [0,0,0,0,1,1,1,1,2,2,2,2]
;
n = n_elements(a)
b = abs(delta(a))
r = intarr(n)

limit = rms(b)
if keyword_set(threshold) then limit=threshold
breaks = where(b gt limit, nb)
breaks = [breaks,n]
if nb gt 0 then begin
   for i = 0, nb-1 do begin
      for j = breaks(i), breaks(i+1)-1 do r(j) = i+1
   endfor
endif
return, r
end
