pro button_disp,_extra=e
;
;  Display all buttons on the current graphics window
;

common button_com, button_arr

;* button_struct = { xll: 0.0, yll: 0.0, xur: 0.0, yur: 0.0, $
;*            text: '', id: 0L }

n = n_elements(button_arr)
if n eq 0 then begin
   print,'No buttons defined!'
   return
endif

for i = 0, n-1 do begin
   ;
   ;  Add the button to the plot
   ;
   oplot, [button_arr(i).xll,button_arr(i).xur,button_arr(i).xur, $
           button_arr(i).xll,button_arr(i).xll], $
          [button_arr(i).yll,button_arr(i).yll,button_arr(i).yur, $
           button_arr(i).yur,button_arr(i).yll]
   xyouts,0.5*(button_arr(i).xll+button_arr(i).xur), $
               button_arr(i).yll+0.2*(button_arr(i).yur-button_arr(i).yll), $
               button_arr(i).text,$
               align=0.5,charsize=button_arr(i).chsiz

endfor

end
