pro button_move
;
;  Move a button to another position in the plot
;

common button_com, button_arr

;* button_struct = { xll: 0.0, yll: 0.0, xur: 0.0, yur: 0.0, $
;*            text: '', chsiz: 0.0, id: 0L }

n = n_elements(button_arr)
if n eq 0 then begin
   print,'No buttons defined!'
   return
endif

print,' ... define the button to move by pressing it ...'

id = button_query()

if id eq 0 then begin
   print,'No button was selected'
   return
endif

w = where( button_arr.id eq id )
i = w(0)

print,'Point to the new position of the button ...'
curmark1,cpos,/silent

xll = button_arr(i).xll
xur = button_arr(i).xur
yll = button_arr(i).yll
yur = button_arr(i).yur

xw = xur - xll
yw = yur - yll
button_arr(i).xll = cpos(0) - xw/2
button_arr(i).xur = cpos(0) + xw/2
button_arr(i).yll = cpos(1) - yw/2
button_arr(i).yur = cpos(1) + yw/2

end
