pro caldb_cif, filename
;
; Read and display contents of Calibration Index File
;
openw,lun,filename+'_ascii',/get_lun
fxbopen, u, filename, 1, hdr
nrows = fxpar(hdr,'NAXIS2')
print
print, nrows,' files described in '+filename
print,'                       as of '+systime()
print
printf,lun
printf,lun, nrows,' files described in '+filename
printf,lun,'                       as of '+systime()
printf,lun
for row = 1, nrows do begin
   print,'------------------- File ',row,' --------------'
   printf,lun,'------------------- File ',row,' --------------'
   for col = 1, 18 do begin
      key = 'TTYPE'+strtrim(col,2)
      nam = fxpar(hdr,key)
      while strlen(nam) lt 12 do nam = nam+' '
      fxbread, u, dat, col, row
      sdat = strmid(strtrim(dat,2),0,60)
      print, nam+sdat
      printf,lun, nam+sdat
   endfor
endfor
fxbclose, u
free_lun,lun
end
