pro close_neighbors, in_arr, grp_begin, grp_end, n_groups
;
;   Find neighbors
;
;   in_arr = [1,2,3,5,7,9,11,12,13,16,17,20,23,25,26,27,40]
;
;   results in grp_begin = [0,6,9,14], grp_end = [2,8,10,15], n_groups = 4
;
del = in_arr - shift(in_arr,1)
n = n_elements(del)
n_groups = 0
in_group = 0
for i = 1, n-1 do begin
   if del(i) eq 1 then begin
      if in_group then begin
         grp_end(n_groups-1) = i
      endif else begin
         in_group = 1
         n_groups = n_groups + 1
         if n_groups eq 1 then begin
            grp_begin = i-1
            grp_end = i
         endif else begin
            grp_begin = [grp_begin,i-1]
            grp_end = [grp_end,i]
         endelse
      endelse
   endif else begin
      in_group = 0
   endelse
endfor

return

end
