function coast_define_coast, b, islands, num_island
;
;  Part of 'coast' package
;
;   2005-07-26/NJW
;
w = where(islands eq num_island, nw)
if nw eq 0 then begin
   print,'No such island - skip'
   return, -1
endif

sz = size(islands)
map = intarr(sz(1),sz(2))
map(w) = 1
print,'Area = ', nw

; Find southernmost point
i0 = w(0) mod sz(1)
j0 = w(0) / sz(1)

print,'Start pixel: ', i0,j0

if coast_mask(b(i0,j0),8) then begin
   print,'Unexpected connection in the south - terminate'
   return,-1
endif

icur = i0
jcur = j0

print,'point: ', icur+0.5,1.0*jcur

; Go east ?

if coast_mask(b(icur,jcur),1) then begin
   ; move to eastward pixel
   icur = icur + 1
endif else begin
   ; no eastward pixel, then eastcoast exists
   print,'point: ', icur+1.0,jcur+0.5
endelse
