print,'*****************************************************'
print,'*****************************************************'
print,'*****************************************************'
vr = congrid(v,100,100)
wset,0
tvscl,vr
nx = 10
ny = 10
k = intarr(nx,ny)
m = intarr(nx,ny)
mask = intarr(6)
mask(0) = 14
mask(1) = 13
mask(2) = 11
mask(3) = 7
mask(4) = mask(0)
mask(5) = mask(1)
;
step = intarr(4,2)
step(0,*) = [1,0]
step(1,*) = [0,1]
step(2,*) = [-1,0]
step(3,*) = [0,-1]
;
print,'Max of v : ',max(v,ij),' at ij = ',ij
k(ij) = 15  ; All four directions: right,up,left,down, are possible
kr = 100 + 10*congrid(k,100,100)
wset,2
tv,kr
wait,0.1
while( total(k) gt 0.0 ) do begin ; continue as long as there are
                                  ; still possibilities
   print,'Max of k : ',max(k,ij),' at ij = ',ij
   j = fix(ij/nx)
   i = fix(ij - j*nx)
   if( i eq 0 ) then k(i,j) = k(i,j) and mask(2)
   if( i eq nx-1 ) then k(i,j) = k(i,j) and mask(0)
   if( j eq 0 ) then k(i,j) = k(i,j) and mask(3)
   if( j eq ny-1 ) then k(i,j) = k(i,j) and mask(1)
   print,'(i,j) = ', i, j
   m(i,j) = 1               ; pixel at (i,j) is included
   mr = congrid(m,100,100)
   wset,1
   tvscl,mr
   wait,0.1
   for idir = 0, 3 do begin ; search all directions
      print,'Start direction ', idir
      print,' k(i,j) and (not mask(idir) and 15) = ',$
         k(i,j) and (not mask(idir) and 15)
      if( (k(i,j) and (not mask(idir) and 15)) gt 0 ) then begin
;                                         this direction is possible
         i1 = i + step(idir,0)
         j1 = j + step(idir,1)
         print,'Checking (i1,j1) = ', i1, j1
         if( k(i1,j1) gt 0 ) then begin ; I have been here already
            print,'I have been here ...'
            k(i,j) = k(i,j) and mask(idir)
            k(i1,j1) = k(i1,j1) and mask(idir+2)
            kr = 100 + 10*congrid(k,100,100)
            wset,2
            tv,kr
            wait,0.1
         endif else begin      ; New pixel
            print,'New pixel ...'
            if( v(i1,j1) gt g ) then begin ; to be included
               print,'is to be included'
               m(i1,j1) = 1
               mr = congrid(m,100,100)
               wset,1
               tvscl,mr
               wait,0.1
               k(i,j) = k(i,j) and mask(idir)
               k(i1,j1) = mask(idir+2)
               kr = 100 + 10*congrid(k,100,100)
               wset,2
               tv,kr
               wait,0.1
            endif else begin   ; no more possibilities in this direction
               print,'Stop in this direction'
               k(i,j) = k(i,j) and mask(idir)
               kr = 100 + 10*congrid(k,100,100)
               wset,2
               tv,kr
               wait,0.1
            endelse
         endelse
      endif
   endfor
endwhile
end
