pro curdigit, result
;
;  Read off a curve
;  Use cursor mark a number of points and return them in 'result'
;
result = fltarr(2,100)
np = 0
window,0,xs=1000,ys=700
!p.background = 255
plot,[0,1]
print,'Use right mouse button to terminate ...'
print,'Mark lower left corner ...'
cursor,xmm0,ymm0,/device
wait,0.3
read,'Enter x0 and y0 : ...  ',x0,y0
print,xmm0,ymm0,x0,y0

print,'Mark upper right corner ...'
cursor,xmm1,ymm1,/device
wait,0.3
read,'Enter x1 and y1 : ...  ',x1,y1
print,xmm1,ymm1,x1,y1

; set constants
ax = (xmm1 - xmm0)/alog(x1/x0)
bx = xmm0 - ax*alog(x0)
ay = (ymm1 - ymm0)/alog(y1/y0)
by = ymm0 - ay*alog(y0)

while !err ne 4 do begin
   print,'Use left mouse button to mark point no. ', np+1,' ...'
   cursor,xmm,ymm,/device
   wait,0.3
   if !err ne 4 then begin
      print,'You pointed at x = ', xmm, '  y = ', ymm
      x = exp((xmm-bx)/ax)
      y = exp((ymm-by)/ay)
      result(0,np) = x
      result(1,np) = y
      np = np + 1
   endif
endwhile
result = result(*,0:np-1)
end
