;
; Main program to write files in /pool28/njw/Wastebasket on a back
; up tape and record the tape-id and filenumber in the file
; /home/njw/File-organisation/purgelist
;
; ... move to /pool28/njw/Wastebasket

cd,'/pool28/njw/Wastebasket'

; ... make sure that a back up tape has been mounted

answer = ''
read,'Did you mount a magnetic tape ? ... ', answer
a = strlowcase(strmid(answer,0,1))
if a ne 'y' then stop

; ... count the number of files already on the tape

;* spawn,'tape_count'
openr,lun,'/pool1/number_of_tapefiles',/get_lun
ntf = ''
readf,lun,ntf
close,lun & free_lun,lun

; ... rewind the tape

;* spawn,'mt -f /dev/nrsx0 rewind'

; ... get the tape identification from the first file on the tape

;* spawn,'tar xvf /dev/nrsx0 tape_id'
openr,lun,'tape_id',/get_lun
tape_id = ''
readf,lun,tape_id
close,lun & free_lun,lun
;* spawn,'mt -f /dev/nrsx0 eom' ; position at end-of-media

; ... compress all the *.tar files

spawn,'gzip -9v *.tar'

; ... dump whole directory to tape

;* spawn,'tar cvf /dev/nrsx0 .'

; ... update purgelist documentation

list = findfile('*.tar.gz')
nl = n_elements(list)
openr,lun,'/home/njw/File_organisation/purgelist',/get_lun
openw,luw,'/pool1/tmp.tmp',/get_lun
line = ''
while not eof(lun) do begin
   readf,lun,line
   p = strpos(line,'-> ')
   if p ge 0 then begin
      numstr = strmid(line,p+3,8)
      found = -1
      for j = 0, nl-1 do begin
         if strpos(list(j),numstr) gt -1 then found = j
      endfor
      if found gt -1 then begin
         printf,luw,line+' '+tape_id+' #'+ntf
      endif else begin
         printf,luw,line
      endelse
   endif else begin
      printf,luw,line
   endelse
endwhile
close,lun & free_lun,lun
close,luw & free_lun,luw
end
