pro du_present, input=input, output=output
;
;  2004-11-25/NJW
;
file = '/pool1/disk_usage.raw'
if keyword_set(input) then file = input
outfile = '/pool1/disk_usage.txt'
if keyword_set(output) then outfile = output

openw,lun,outfile,/get_lun

rscol,file,sz,1,/long
rscol,file,dir,2,/str

direc = comgets(file,'directory',n)
printf,lun,'// time =  '+systime()
dattim2ijd,ndate(2),ijd
printf,lun,'// IJD =  ', ijd
printf,lun,'// directory = ',direc
printf,lun,'//'

w = where( sz gt 2048, nw)
unit = 'kB'
if nw gt 0 then begin
   sz = (sz(w)+512)/1024
   dir = dir(w)
   unit = 'MB'
endif
n = n_elements(sz)
dir(n-1) = 'in_TOTAL'
for i = 0, n-1 do begin
   print,sz(i),unit,dir(i),format='(i6,1x,a,3x,a)'
   printf,lun,sz(i),unit,dir(i),format='(i6,1x,a,3x,a)'
endfor

free_lun,lun

end
