pro earth, plot=plot
;
; Procedure to show picture of the earth
;
spawn,'xearth -pos fixed,55,15 -mag 0.9 -night 30 -gif > earth.gif'
read_gif,'earth.gif',e,r,g,b
r = g
g = b
if !d.name eq 'X' then window,0,xs=512,ys=512
tvlct,r,g,b
tv,smooth(e,3)
xyouts,0.97,0.02,systime(),/norm,align=1.0,charsize=1.5,color=63

if keyword_set(plot) then begin
   loadct,0
   set_plot,'ps
   device,xs=10,ys=10
   tvscl,e
   xyouts,0.97,0.02,systime(),charsize=1.0,align=1.0,/norm,color=255
   device,/close
   print,'Now idl.ps contains a plot of the Earth'
   set_plot,'x
endif
end
