pro encl_square, im, center, r, y
;
; Get enclosed fraction in square box with increasing side length
; around the center.
;
sz = size(im)
dimx = sz(1)
dimy = sz(2)
cx = center(0)
cy = center(1)
m = min( [abs(cx),abs(dimx-cx),abs(cy),abs(dimy-cy)])
r = fltarr(m+1)
y = r
tot = total(im)
r(0) = 0.
y(0) = 0.
for i = 0, m-1 do begin
   r(i+1) = 2*i + 1
   y(i+1) = total(im(cx-i:cx+i, cy-i:cy+i)) / tot
endfor
end
