function file_searchz, filename, count=count, _extra=e
;
;  A function similar to the built-in function 'file_search'
;  with the addition that it accepts filename with or
;  without appended '.gz'
;
;   2004-10-27/NJW
;
;  First try original version
list = file_search( filename, count=count, _extra=e )

; Stop if filename ends with wildcards '???' or '*'

len = strlen(filename)
if strmid( filename, len-1, 1 ) eq '*' then return, list
if strmid( filename, len-3, 3 ) eq '???' then return, list

; See if filename has .gz extension

if strmid( filename, len-3, 3 ) eq '.gz' then begin
   fname = strmid( filename, 0, len-3 )
   list1 = file_search( fname, count=count1, _extra=e )
endif else begin
   fname = filename+'.gz'
   list1 = file_search( fname, count=count1, _extra=e )
endelse

; merge the two lists

if count gt 0 then begin
   if count1 gt 0 then begin
      list = [list,list1]
      count = count + count1
      list = list(sort(list))
      return, list
   endif else begin
      return, list
   endelse
endif else begin
   list = list1
   count = count1
   return, list
endelse

end
end
