function flash_src_s, sourcename, ra, dec, nh, intenscode, spectrcode, intens, $
                 param1, param2, pane
;
; Display the source parameters. A DSRI_CAT function.
;
if n_params() lt 2 then begin
   print,'Syntax: code = flash_src( sourcename, ra, dec, nh, intenscode, $'
   print,'          spectrcode, intens, param1, param2, pane)'
   return, -1
endif

dy = 0.09
y = 0.93
x1 = 0.05
x2 = x1 + 0.35
x3 = x2 + 0.2
!p.charsize=1.5
window,pane,xs=500,ys=450
xyouts,x1,y,'SOURCENAME',/norm
xyouts,x2,y,sourcename,/norm
y = y - dy
xyouts,x1,y,'RA',/norm
xyouts,x2,y,strtrim(ra,2),/norm
xyouts,x3,y,strtrim(adstring(ra/15.),2),/norm
y = y - dy
xyouts,x1,y,'DEC',/norm
xyouts,x2,y,strtrim(dec,2),/norm
xyouts,x3,y,strtrim(adstring(dec),2),/norm
y = y - dy
xyouts,x1,y,'NH',/norm
xyouts,x2,y,strtrim(nh,2),/norm
y = y - dy
xyouts,x1,y,'INTENSCODE',/norm
xyouts,x2,y,strtrim(intenscode,2),/norm
y = y - dy
xyouts,x1,y,'SPECTRCODE',/norm
xyouts,x2,y,strtrim(spectrcode,2),/norm
y = y - dy
xyouts,x1,y,'INTENS',/norm
xyouts,x2,y,strtrim(intens,2),/norm
y = y - dy
xyouts,x1,y,'PARAM1',/norm
xyouts,x2,y,strtrim(param1,2),/norm
y = y - dy
xyouts,x1,y,'PARAM2',/norm
xyouts,x2,y,strtrim(param2,2),/norm
y = y - dy
xyouts,x1,y,'STOP the selection',/norm

curmark1,res,/norm

if res(1) gt 0.897 then code = 'sn'
if res(1) gt 0.807 and res(1) lt 0.897 then code = 'ra'
if res(1) gt 0.717 and res(1) lt 0.807 then code = 'dc'
if res(1) gt 0.627 and res(1) lt 0.717 then code = 'nh'
if res(1) gt 0.537 and res(1) lt 0.627 then code = 'ic'
if res(1) gt 0.447 and res(1) lt 0.537 then code = 'sc'
if res(1) gt 0.357 and res(1) lt 0.447 then code = 'in'
if res(1) gt 0.267 and res(1) lt 0.357 then code = 'p1'
if res(1) gt 0.177 and res(1) lt 0.267 then code = 'p2'
if res(1) lt 0.177 then code = 'ex'

return, code
end
