function get_kwds, hdr
;
; Return string array with keywords from the string array 'hdr'
; created by fxaddpar only (but perhaps with several calls)
;
if n_params() lt 1 then begin
	print,'Syntax: list = get_kwds(hdr)'
	return,''
endif

n_hdr = n_elements(hdr)
first = 1
i = 0
str = ''

while str ne 'END' and i lt n_hdr do begin
   str = strtrim(strmid(hdr(i),0,8))   ;  extract piece where keyword is placed
   i = i + 1
   if str ne 'END' then begin
      if strlen(str) gt 0 then begin
         if first then begin
            list = [str]
            first = 0
         endif else list = [list,str]
      endif
   endif
endwhile

if first then list = '' else list = list(uniq(list,sort(list)))
return, list

end
