function get_par_ra, filename, parname

; Get the new parameter; Special for RA

par_new = comget(filename, parname, ierr)

print,'Default '+parname+' [', par_new,' or ', adstring(par_new/15.),']'
answer = ''
read,'       New '+parname+' : ... ', answer

if answer ne '' then begin
   answer = strcompress(strtrim(answer,2))
   tok = str_sep(answer,' ')
   if n_elements(tok) eq 1 then par_new = float(answer)
   if n_elements(tok) eq 2 then par_new = 15.*ten(float(tok(0)),float(tok(1)))
   if n_elements(tok) gt 2 then par_new = 15.*ten(float(tok(0)),float(tok(1)),float(tok(2)))
   ierr = comreplace(filename, parname, par_new)
endif
print,'The new '+parname+' is: ', par_new
return, par_new
end
