function hex_r, nu, res
;
; Return the number of possible r's for a hura of order 'nu'
;   and the values in argument 'res'
;
k = 0
res = lonarr(1000)
for r = 1L, 20000 do begin
   lhs = (r^2) mod nu
   rhs = (r-1) mod nu
   if lhs eq rhs then begin
      res(k) = r
      k = k + 1
   endif
endfor
if k gt 0 then res = res(0:k-1) else res = 0L
return, k
end
