function inv_erf, y
;
;   Solves the equation Y = erf(x)
;
;   and returns 'x'
;
common newtcom, yval

yval = y

x = newton(0.*y,'newtfunc')
return, x
end

function newtfunc, x
common newtcom, yval
return, yval - erf(x)
end
