function is_int, str
;
;  Returns 1 if string only contains digits
;  plus perhaps a preceding sign
;
;  NJW/010620
;
sz = size(str)
if sz(0) ne 0 or sz(1) ne 7 then begin
   print,'IS_INT error, unacceptable argument'
   return, 0
endif

st = strtrim(str,2)
len = strlen(st)
if len eq 0 then return, 0

if strmid(st,0,1) eq '+' or strmid(st,0,1) eq '-' then st = strmid(st,1,9999)

return, is_digit(st)

end
