function is_valid_nchar, str
;
;  Return 1 if string 'str' is composed only of digits: 0123456789
;  or '.+-eE'
;
;  Return 0 otherwise
;
sz = size(str)
if sz(0) ne 0 or sz(1) ne 7 then begin
   print,'IS_VALID_NCHAR error, unacceptable argument'
   return, 0
endif

len = strlen(str)
if len eq 0 then return, 0

for i = 0, len-1 do begin
   pos = strpos('0123456789.+-eE',strmid(str,i,1))
   if pos lt 0 then return, 0
endfor

return, 1

end
