function j_energy2pi, energy
;
;  2004-02-13/NJW
;  2005-11-11/NJW, update with newer IMOD grp and use
;                  of newer version of rdfitscol and
;                  allow array input
;
imod_grp = '/r6/jemx/ic/imod_grp/jmx2_imod_grp_0080.fits'

rdfitscol,imod_grp+'[JMX2-FBDS-MOD]',e_min,'E_MIN',/sil
rdfitscol,imod_grp+'[JMX2-FBDS-MOD]',e_max,'E_MAX',/sil
rdfitscol,imod_grp+'[JMX2-FBDS-MOD]',pi,'CHANNEL',/sil

n = n_elements(energy)
res = intarr(n)

for i = 0L, n-1 do begin

   if energy(i) lt e_min(0) then begin
      res(i) = -1
   endif
   if energy(i) gt e_max(255) then begin
      res(i) = -1
   endif
   w = where( energy(i) gt e_min and energy(i) le e_max, nw)
   if nw eq 1 then begin
      res(i) = pi(w(0))
   endif else begin
      print,'Unexpected error for i = ', i
      return,-1
   endelse

endfor

if n eq 1 then return, res(0) else return, res

end
