function jsimseries, name, nelem
;
;   NJW/2002-06-12
;
;    Return a string array with casenames of a series of simulations
;
if n_params() lt 2 then begin
   print,'Syntax: casenames = jsimseries(name, nelem)
   return,-1
endif

arr = strarr(nelem)
for i = 0, nelem-1 do begin
   arr(i) = name + string(i,format='(i3.3)')
endfor

return, arr

end
