pro mend_convex_tetragon, coords
;
;  A convex tetragon must have corners in right order
;  This procedures fixes that
;
;   2004-08-13/NJW
;
if not is_tetragon_convex(coords) then begin
   print,'MEND_CONVEX_TETRAGON this is not convex'
   return
endif

if intersect(coords(*,0),coords(*,1),coords(*,2),coords(*,3)) then begin
   ; swap #1 and #2
   swap = coords(*,1)
   coords(*,1) = coords(*,2)
   coords(*,2) = swap
   return
endif
if intersect(coords(*,0),coords(*,3),coords(*,1),coords(*,2)) then begin
   ; swap #2 and #3
   swap = coords(*,2)
   coords(*,2) = coords(*,3)
   coords(*,3) = swap
   return
endif

return
end
