pro mid_put_keyval, line, key, val
;
;  Additional MIDI software
;
;    line format:   xxxx | yyyyy | kkkk=iii | llll=jjjj
;           counting starts with 0
;
;   2004-07-15/NJW
;

if n_params() lt 3 then begin
	print,'Syntax: mid_put_keyval, line, key, val'
	print,'   NB:  changes ''line'''
	return
endif
tok = strsplit(line, '|', /extract)
ntok = n_elements(tok)


for i = 0, ntok-1 do begin
	s = strtrim(tok(i),2)
	if strpos(s,'=') lt 0 then continue
	vals = strsplit(s,'=',/extract)
	pkey = strtrim(vals(0),2)
	if strlowcase(pkey) eq strlowcase(key) then begin
		tok(i) = ' '+strcombine([vals(0),stri(val)],'=')+' '
		line = strcombine( tok, '|' )
		return
	endif
endfor

end
