pro min_parabola, x, y, xmin, ymin, xfit, yfit
;
;   2003-05-13(NJW
;
;  Fit a 2-order polynomium through points and
;  calculate x and y for minimum
;
if n_params() lt 4 then begin
   print,'Syntax: min_parabola, x, y, xmin, ymin[, xfit, yfit]
   return
endif

res = poly_fit( x, y, 2 )
xmin = -0.5*res(1) / res(2)
ymin = res(0) + xmin*(res(1) + xmin*res(2))

if n_params() gt 5 then begin
   ymin = res(0) + xfit*(res(1) + xfit*res(2))
endif

return

end
