pro numdate, nyear, nmonth, nday
;
;  Returns the year, month, and  day (numbers)
;
if n_params() lt 3 then begin
   print,'Syntax: numdate, year, month, day
   print,'     All parameters are returned (as numbers)'
   return
endif

stime = systime()
year = strmid(stime,20,4)
month = strmid(stime,4,3)
if month eq 'Jan' then month = '01'
if month eq 'Feb' then month = '02'
if month eq 'Mar' then month = '03'
if month eq 'Apr' then month = '04'
if month eq 'May' then month = '05'
if month eq 'Jun' then month = '06'
if month eq 'Jul' then month = '07'
if month eq 'Aug' then month = '08'
if month eq 'Sep' then month = '09'
if month eq 'Oct' then month = '10'
if month eq 'Nov' then month = '11'
if month eq 'Dec' then month = '12'
val = 1
reads,strmid(stime,8,2),val
day = string(val,format='(i2.2)')
print,year+month+day
nyear = fix(year)
nmonth = fix(month)
nday = fix(day)
end
