pro oplot_rectangle,x1,y1,x2,y2,width
;
; Add a rectangle from (x1,y1) to (x2,y2) with width 'width'
; to a plot
;
dx = x2 - x1
dy = y2 - y1
vx = -dy
vy = dx
n = sqrt(vx^2 + vy^2)
dx = 0.5*width*vx/n
dy = 0.5*width*vy/n
oplot,[x1+dx,x2+dx,x2-dx,x1-dx,x1+dx],[y1+dy,y2+dy,y2-dy,y1-dy,y1+dy]
end
