pro pan_to_radec, ra, dec, reg=reg
;
; A DS9 procedure to center a given FK5 coordinate in
; the current ds9 display
;
;   2006-12-01/NJW
;   2006-12-12/NJW updated to create a circular region around the point
;
str = 'xpaset -p ds9 pan to '+string(ra)+' '+string(dec)+' fk5'
spawn, str

if keyword_set(reg) then begin
   regname = get_next_filename('pantrd_???.reg')
   srad = stri(reg)
   openw,lun,regname,/get_lun
   printf,lun,'fk5;circle('+stri(string(ra))+','+stri(string(dec))+','+srad+'")'
   free_lun,lun
   spawn,'xpaset -p ds9 regions load '+fullpath(regname)
endif

end
