function peaks_byt,v,g,npeak,peaksize
;
; Function to identify peaks in a byte image and return
; their positions (centroides)
;
; The image is stored in the byte array 'v'
; and the background limit is 'g'
;
show = 1
if( npeak lt 0 ) then show = 0
w = v
bsum = v
sz = size(v)
peakpos = fltarr(2,500)
npeak = 0
if( show ) then begin
window,8,xsize=sz(1),ysize=sz(2),xpos=100,ypos=50,title='8: Original image'
tvscl,w
window,9,xsize=sz(1),ysize=sz(2),xpos=120+sz(1),ypos=50,title='9: Peak areas found'
endif
b = collbytq(w,g,peaksize)
sb = size(b)
if sb(0) eq 2 then begin
   ok = 1
   bsum = b
endif else ok = 0
while( ok ) do begin
   if( show ) then tvscl,bsum
   peakpos(*,npeak) = peakb(v,b)
   print,'Peak # ', npeak,'  at ', peakpos(*,npeak)
   npeak = npeak + 1
   w(where(b eq 1)) = g
   b = collbytq(w,g,peaksize)
   sb = size(b)
   if sb(0) eq 2 then begin
      ok = 1
      bsum = bsum + b
   endif else ok = 0
endwhile
print,'Total number of peaks found : ', npeak
if( show ) then begin
   wset,9
   tvscl,bsum
endif
peakpos = peakpos(*,0:npeak-1)
return,peakpos
end
