function period_fold,y,p,d
;
; Period folding : y is data array, p (int) is the period, d (int)
;                  is offset (usually less than p)
;
if( n_params() ne 2 and n_params() ne 3 ) then begin
   print,'2 (3) parameters data, period[, and offset] are required'
   return,-1.
endif
if( n_params() eq 2 ) then d = 0
yd = shift(y,-d)
n = n_elements(yd)
q = n / p
nd = q * p   ; largest multiplum of p that is less than n
res = fltarr(p)
i = indgen(q) * p
for j = 0, p-1 do res(j) = total(yd(i+j))
return,res
end

