function permtal, a
;
;  Return a (long) number that is an enumeration of
;  permutations
;
;   2004-08-08/NJW  from the C-program  permu001.c
;
n = n_elements(a)

fac = lonarr(n) + 1

for j = 2, n-1 do fac(j) = fac(j-1) * j

sum = 0L
for i = 1, n-1 do begin
	for k = i-1,0,-1 do if a(k) gt a(i) then sum = sum + fac(i)
endfor

return, sum

end
