;
; Demonstrating    dataplot
;
ps = 1
if ps then begin
   set_plot,'PS'
   device,file='dataplot.ps'
endif
x = xlingen(20,-2,2)
y = cos(x)+randomn(seed,20)*0.3
dy = xlingen(20,0.2,0.7)
def_sym,'c',/fill
!p.title='DATAPLOT'
!x.title='X AXIS'
!y.title='Y AXIS'
!p.charsize=1.5
dataplot,x,y,dy,psym=8,symsize=1.5
if ps then begin
   device,/close
   device,file='dataplotf.ps'
endif
;
; Demonstrating    dataplotf
;
x1 = [2.,5.,10.]
x  = [2.2, 5.5, 14.]
x2 = [2.3, 6.,21.]
y1 = [-1.,6.,2.]
y  = [4.,7.,2.3]
y2 = [15.,7.3,2.5]
!p.title = 'DATAPLOTF'
dataplotf,x1,x,x2,y1,y,y2
if ps then begin
   device,/close
   device,file='dataplotg.ps'
endif
;
; Demonstrating    dataplotg
;
x = xlingen(20,-2,2)
y = cos(x)+randomn(seed,20)*0.3
dy = xlingen(20,0.2,0.7)
!p.title = 'DATAPLOTG'
dataplotg,x,y,dy,psym=5
if ps then begin
   device,/close
   device,file='ploterr.ps'
endif
;
; Demonstrating    ploterr
;
!p.title = 'PLOTERR'
ploterr,x,y,dy,psym=6
if ps then begin
   device,/close
   device,file='dataplotxp.ps'
endif
;
; Demonstrating    dataplotxp
;
x = [1,10,12,20,22,30,32,40,42,50,52,60,62,70,72,80,82,90,92,100]
y = cos(xlingen(19,-1,2))
dy = xlingen(19,.01,.03)
!p.title='DATAPLOTXP'
dataplotxp,x,y,dy
if ps then begin
   device,/close
   device,file='resiplot.ps',xsize=17,ysize=22,yoffset=2
endif else window,0,xs=600,ys=900
;
; Demonstrating    resiplot
;
x = xloggen(20,0.5,10.)
y = 1.e5 * x^(-1.7) * absorp(3.e21,x)
model = 1.e5 * x^(-1.75) * absorp(2.7e21,x)
resiplot,x,model,y,10*sqrt(y),'RESIPLOT'
if ps then begin
   device,/close
endif

end
