; power density spectrum by FFT
pro powerd,t,nsample,f,pd
  ; t: time in seconds
  ; nsample: number of samples per second

  ; max power of 2
  nmax=22
  p=long(2.0^findgen(nmax))
  h=histogram((t-t(0))*nsample)
  w=where(p lt n_elements(h))
  m=max(w)
  print,n_elements(h),m,p(m)
  h=h(0:p(m)-1)
  pd=abs(fft(h))
  pd=pd(0:p(m)/2-1)
  pd(0)=0
  f=findgen(p(m)/2)/p(m)*nsample

end

