pro primes, first, last 
;
; List of primes
;
if n_params() ne 2 then begin
   print,'Syntax: primes, first, last
   return
endif

fir = 2L * ((long(first)-1L)/2L) + 1L
las = 2L * ((long(last)+1L)/2L) + 1L

for i = fir, las, 2L do begin
   ;
   ; search for divisor
   ;
   limit = long(sqrt(i))
   found = 0
   for j = 3L, limit, 2L do begin
      if i mod j eq 0 then found = 1
   endfor
   if not found then print, i
endfor

end
