function psf_norm, r, psf
;
; Return PSF normalized to 1
;   NJW 970227
dr = r - shift(r,1)
dr(0) = 0
dr = shift(dr,-1)
fn = psf / (2*!pi*total(r*dr*psf))
eec = 2*!pi*accumulate(r*dr*fn)
print,'HPD = ', 2*interpol(r,eec,0.5)
return,fn
end
