pro read_sourcelist, filename, xp, yp, nh, ic, st, fx, sp
;
;
; Read a file 'source.list' positions (xp,yp) in arcmin, NH,
;   Intensity code, Spectral type, Intensity, Sp.parm (a single)
;
;
xp = fltarr(500)
yp = fltarr(500)
nh = fltarr(500)
ic = strarr(500)
st = strarr(500)
fx = fltarr(500)
sp = fltarr(500)
openr,lun,filename,/get_lun
line = ''
count = 0
while not eof(lun) do begin
   readf,lun,line
   if strmid(line,0,2) ne '//' then begin
;*      print,line
      line = strcompress(line)
      tokens = str_sep(strtrim(line,2),' ')
      x = 1.
      reads,tokens(0),x
      xp(count) = x
      reads,tokens(1),x
      yp(count) = x
      reads,tokens(2),x
      nh(count) = x
      ic(count) = tokens(3)
      st(count) = tokens(4)
      reads,tokens(5),x
      fx(count) = x
      reads,tokens(6),x
      sp(count) = x
      count = count + 1
   endif
endwhile
close,lun
free_lun,lun

xp = xp(0:count-1)
yp = yp(0:count-1)
nh = nh(0:count-1)
ic = ic(0:count-1)
st = st(0:count-1)
fx = fx(0:count-1)
sp = sp(0:count-1)
end
