function sd_conv, i
;
; Convert number to SD (Single-Digit) format
;
;   NJW 970307
;
sd = intarr(50)
ii = i
sd(49) = 1   ; Sign digit
if i lt 0 then begin
   ii = -ii
   sd(49) = -1
endif
k = 0
while ii gt 0 do begin
   print,'*1*  ii = ', ii
   sd(k) = ii mod 10
   r     = ii mod 10  ; to take care of non-integers
   ii = (ii - r)/10
   k = k + 1
endwhile
return, sd
end
