pro source_iden, rad=rad, clog=clog, gal=gal
;
;
;  Use cursor mark a source and print the catalogue contents
;

rd = 0.2
if keyword_set(rad) then rd = rad

!err = 1

print
print,'Use left mouse button to indicate the next source ...'
print
print,'Use right mouse button to terminate ...'
print
while !err ne 4 do begin
      cursor,xc,yc,/data
   wait,0.3
   if !err ne 4 then begin
      print,'Cursor position: ', strtrim(xc,2), ' , ', strtrim(yc,2)
      if keyword_set(gal) then begin
         glactc,ra,dec,2000,xc,yc,2,/deg
      endif else begin
         ra = xc
         dec = yc
      endelse
      print,'                 ', strtrim(ra,2),' , ',strtrim(dec,2)
      print,'                 ', adstring(ra, dec)
      nearby_sources,ra,dec,rd,clog=clog
   endif
endwhile
end
