pro srcname2radec, str_name, ra, dec
;
;  Get RA and Dec from string like
;
;     AAAAA######.#+######.#
;
len = strlen(str_name)
i = 0
while not is_digit(strmid(str_name,i,1) ) $
     and i lt len do i = i + 1
coorstr = strmid(str_name,i,len-i)

plus = strpos(coorstr,'+')
minus = strpos(coorstr,'-')
ra = 0
dec = 0
if plus ge 0 and minus ge 0 then begin
   print,'Error of string format - two signs'
   return
endif
if plus lt 0 and minus lt 0 then begin
   print,'Error of string format - no sign present'
   return
endif

if plus ge 0 then pos = plus else pos = minus

num_dig_in_ra = pos+1
h = fix(strmid(coorstr,0,2))
m = fix(strmid(coorstr,2,2))
s = float(strmid(coorstr,4,num_dig_in_ra-4))
ra = ten(h,m,s)*15.

decstr = strmid(coorstr,pos,9999)
d = fix(strmid(decstr,0,3))
m = fix(strmid(decstr,3,2))
s = float(strmid(decstr,5,9999))
dec = ten(d,m,s)

return

end
