function str2dd, str

; Returns decimal value of input hexagesimal string
;
;    Call :   string with 1, 2, or 3 numbers separated with blanks

signflag = 0
st = strcompress(str)    ; remove extra blanks
st = strtrim(st,2)       ; remove leading and trailing blanks
k = strpos(st,'-')       ; search for a minus sign
if k ne -1 then signflag = 1  ; a minus sign has been found
res = strsplit(st,' ',/extract)    ; separate into pieces
n = n_elements(res)      ; number of string pieces
r = fltarr(n)
x = 1.0
for i = 0, n-1 do begin
   reads,res(i),x
   r(i) = x
endfor
x = ten(r)     ; The routine 'ten' can be found in
               ;   /a/local/idl/lib/astron/astro/ten.pro
if x gt 0 and signflag then x = -x
return,x
end
