pro sunpos_ijd, ijd, ra_sun, dec_sun
;
;  2005-10-27/NJW
;
;  Using the IDL AStro procedure 'sunpos' to get the Sun position
;  for a value of IJD
;
if n_params() ne 3 then begin
   print,'Syntax: sunpos_ijd, ijd, >ra_sun, >dec_sun'
   return
endif

dijd = double(ijd)

sunpos, dijd + 2451544.5d0, ra_sun, dec_sun ; convert to Julian Days

end
