function tabnewx,xold,yold,xnew
;
; Return values of table (xold,yold) with new range of x values (xnew)
;
m = n_elements(xold)
n = n_elements(yold)
if( n ne m ) then begin
   print,'Input table with inconsistent sizes ...'
   return,-1.
endif
res = interpol(yold, xold, xnew)
i = where(xnew lt xold(0),k)
if( k gt 0 ) then res(i) = yold(0)
i = where(xnew gt xold(m-1),k)
if( k gt 0 ) then res(i) = yold(m-1)
return,res
end
