pro talp6, n, a
;
;  Find base-6 number that matches base-10 number n
;  expressed as an integer array
;
;  2004-08-08/NJW
;
ndigit = n_elements(a)
fac = 6L^(ndigit-1)
rem = n
for i = 0, ndigit-1 do begin
	digit = rem / fac
	rem = rem mod fac
	fac = fac / 6L
	a(i) = digit
endfor
return
end
