function tnew,n1,n2,told,alfa
;
; Evaluate the ray direction after refraction in a plane surface
; with angle 'alfa' when the original angle is 'told'. 'n1' is the
; refractive index of the material with angle 'told', and 'n2' is
; the refractive index of the material with angle 'tnew'
;
;  All angles in radians
;
return,asin((n1/n2)*sin(told + alfa)) - alfa
end
