pro upd_arf_all, eflt, arf
;
;  2004-02-09/NJW
;
;  Update the /home/njw/jemx/crab_spec_arf/jmx2_all_arf_0001.fits file
;
if n_params() lt 2 then begin
   print,'Syntax: upd_arf_all, eflt, arf
   return
endif

file = '/home/njw/jemx/crab_spec_arf/jmx2_all_arf_0001.fits'
dol = '/home/njw/jemx/crab_spec_arf/jmx2_all_arf_0001.fits+1'
spawn,'add_rows '+dol+' 1'
hdr = headfits(file,ext=1)
nrows = fxpar(hdr,'NAXIS2')
print,'new row is number ', nrows

fxbopen,unit,file,1,access='RW'
fxbread,unit,eline,5,1
fxbwrite,unit,ndate(3),2,nrows
fxbwrite,unit,double(1300),3,nrows
fxbwrite,unit,double(99999.),4,nrows
fxbwrite,unit,eline,5,nrows
fxbwrite,unit,eflt,6,nrows
fxbwrite,unit,arf,7,nrows

fxbfinish, unit

end
