function w50,x,y
;
; Return half power width = 50% width of peaked distribution in 'y'
;
n = n_elements(x)
if n ne n_elements(y) then begin
   print,'W50 : The arrays have different sizes ... '
   return,0.
endif
if( n lt 4 ) then begin
   print,'The arrays have too small size : ',n
   return,0.
endif
ay = accumulate(y)
ay = ay / max(ay)   ; normalize
;* return,root_table(x,ay,.75)-root_table(x,ay,.25)
return,interpol(x,ay,0.75) - interpol(x,ay,0.25)
end
