function weeknumber, year_in, daynumber
;
; Reference Jan 1, 1970 is a thursday
;
weekdays = ['Monday','Tuesday','Wednesday','Thursday','Friday',$
            'Saturday','Sunday']

if n_params() lt 2 then begin
   print,'res = WEEKNUMBER( year, daynumber)'
   return,0
endif

year = year_in
if year lt 100 then begin
   if year gt 50 then year = year + 1900
   if year le 50 then year = year + 2000
endif

num_of_years = year - 1970
num_of_leap_years = (num_of_years+1)/4

weekday_day1 = (3 + num_of_years + num_of_leap_years) mod 7

;* print,'Day 1 of ',year,' is a ',weekdays(weekday_day1)

if weekday_day1 le 3 then daynum_thur = 4 - weekday_day1 $
                     else daynum_thur = 11 - weekday_day1

;* print,'Daynumber of first thursday : ', daynum_thur
daynum_mon = daynum_thur - 3
;* print,'Daynumber of first monday : ', daynum_mon

if daynumber lt daynum_mon then weeknum = 53 else $
   weeknum = (daynumber - daynum_mon)/7 + 1

return,  weeknum
end
