pro write_slist, file, slist, append=append
;
;  Write a string array one string per line to the file 'file'
;
;   NJW/010525
;   Updated 2003-03-26/NJW with 'append' keyword
;
if n_params() ne 2 then begin
   print,'Syntax: write_slist, filename, string_array[, /append]'
   return
endif

n_list = n_elements(slist)
openw,lun,file,/get_lun,append=append
for i = 0L, n_list-1 do printf,lun,slist(i)
free_lun,lun
end
