pro xps, xxx=xxx, nopr=nopr, file=file, print=print, gv=gv
;
;  An old procedure
;    2003-07-31/NJW    Updated with e.g. common plotfilename
;                      See also rps.pro and zps.pro
;
; Procedure to execute PS plot
;     It closes the plot file
;     The plot is printed if printername is given
;     Keywords:     x      Plot is directed back to screen
;                   file   Name of plot file is different from current
;                   print  Printername
;                   gv     Use 'gv' to show plot
;

common plotfilename, plotfile

if !d.name eq 'PS' then device,/close
if not keyword_set(file) then file = plotfile
 
if keyword_set(gv) then spawn,'gv '+file+' &'

if keyword_set(print) then begin
   spawn,'lpr -P'+print+' '+file
   print,'The file '+file+' has been sent to '+print
endif

if keyword_set(xxx) then begin
   set_plot,'x'
   print,'Plot device is now X'
   !p.font = -1
endif
end
