function absorp,nh,earr
;
;  Function to calculate the interstellar cold absorption
;  given the column density value, nh.
;
;     NJW, some time in the past
;
if n_params() lt 2 then begin
   print,'Syntax: res = absorp( nh, earr)'
   return, -1
endif

res = earr
for i = 0, n_elements(earr)-1 do res(i) = exp(-nh*cross_sect(earr(i)))
return,res
end
