function anticut, im, c1,c2
;
; Returns the image rescaled between c1 and c2
; from 255 to 0
;
imf = 1.0 * im
if n_params() lt 3 then begin
   c1 = min(imf)
   c2 = max(imf)
endif
return, (((imf > c1) < c2) - c2) * 255.9 / (c1-c2)
end
