function area_triangle, coords
;
;   Returns area of triangle when corners are given as
;
;    x1 = coords(0,0), x2 = coords(0,1), x3 = coords(0,2)
;    y1 = coords(1,0), y2 = coords(1,1), y3 = coords(1,2)
;
;   2004-06-08/NJW
;
return, 0.5*abs((coords(0,2)-coords(0,0))*(coords(1,1)-coords(1,0))  $
           - (coords(1,2)-coords(1,0))*(coords(0,1)-coords(0,0)))
end
