function azimuth,dim1,dim2,xcenter,ycenter
;
; Return an floating point array with angles in degrees
; measured from (xcenter,ycenter)
;
if n_params() lt 4 then begin
   print,'res = AZIMUTH( dim1, dim2, xcenter, ycenter )'
   return,-1.
endif

dx = fltarr(dim1,dim2)
dy = dx
x1 = findgen(dim1) - xcenter

y1 = findgen(dim2) - ycenter

for i = 0, dim2-1 do dx(*,i) = x1
for i = 0, dim1-1 do dy(i,*) = y1
return, (180/!pi)*zero2pi(atan(dy,dx))
end
