pro button_delete,id
;
;  Delete a previously defined button on a graphics window
;
;  'id' is the identifcation number
;

common button_com, button_arr

n = n_elements(button_arr)
if n eq 0 then begin
   print,'No buttons exist!'
   return
endif

idx = where( button_arr.id eq id, nidx )

if nidx eq 0 then begin
   print,'The button with id = ', id,' does not exist!'
   return
endif

button_arr = arr_delete_elem(button_arr,idx(0))

end
