function button_query
;
;  Ask for cursor action and return button pressed
;  Returns is identifier (id) of the button or 0 (zero)
;  if no button was hit.
;

common button_com, button_arr

;* button_struct = { xll: 0.0, yll: 0.0, xur: 0.0, yur: 0.0, $
;*            text: '', id: 0L }

n = n_elements(button_arr)
if n eq 0 then begin
   print,'No buttons defined!'
   return, 0
endif

print,' ... press a button on the plot ...'
curmark1, cpos, /silent, /nomark

for i = 0, n-1 do begin
   ;
   ;  Find the button that was pressed
   ;
   if     button_arr(i).xll lt cpos(0) $
      and button_arr(i).xur gt cpos(0) $
      and button_arr(i).yll lt cpos(1) $
      and button_arr(i).yur gt cpos(1) then return, button_arr(i).id
endfor

return, 0

end
