function clean,array,threshold
;
; This function returns an array of same dimension as 'array'
; with single element deviations gt 'threshold' removed
;
; The number of elements in array must be > 12
;
n = n_elements(array)
if n lt 12 then begin
   print,'CLEAN: array must be longer than 11'
   return,-1.
endif
a = array
sum = array * 0.
for i = -3,3 do sum = sum + shift(array,i)/7.
p = abs(array - sum)
is = where(p(5:n-6) gt threshold) + 5
szis = size(is)
if( szis(0) gt 0 ) then a(is) =(array(is-3)+array(is-2)+array(is+2)+array(is+3))/4.
return,a
end
