function cmparr, a, b, chat=chat
;
; Compare two arrays. Returns 0 if identical
;
;   2003-10-27/NJW
;
sza = size(a)
szb = size(b)
na = n_elements(sza)
nb = n_elements(szb)
if na ne nb then return, 1
for i = 0L, na-1 do begin
   if sza(i) ne szb(i) then begin
      if keyword_set(chat) then print,'Differing dimensions ...'
      return, 1
   endif
endfor
for i = 0L, sza(na-1)-1 do begin
   if a(i) ne b(i) then begin
      if keyword_set(chat) then print,'First index with difference: ',i
      return, 1
   endif
endfor
return, 0
end
