pro col_add_bar,mx=mx,mn=mn
;
; Add color bar at bottom of window
;
x1 = 0.2
x2 = 0.8
y1 = 0.1
y2 = 0.15
ytext = 0.05
nc = !d.n_colors
if !d.name eq 'PS' then nc = 250
xv = 0.5*[-1.01,1,1,-1.01,-1.01]
yv = 0.5*[-1,-1,1,1,-1]

szx = size(mx)
if szx(0)+szx(1) gt 0 then begin
   xyouts,x2,ytext,strtrim(mx,2),align=0.5,size=1.5,/norm
endif

szn = size(mn)
if szn(0)+szn(1) gt 0 then begin
   xyouts,x1,ytext,strtrim(mn,2),align=0.5,size=1.5,/norm
endif

deltax = (x2 - x1) / nc
deltay = (y2 - y1)

for i = 0, nc-1 do begin
   xc = x1 + (i + 0.5)*deltax
   yc = (y1 + y2)/2
   polyfill,xc+deltax*xv,yc+deltay*yv,color=i,/norm
endfor
end
