function create_pl,e,s,e1,e2,nh,alpha
;
;  Return a spectrum of strength 's' in erg cm-2 s-1 from 'e1'
;  to 'e2' (in keV) with absorption column 'nh' in atoms cm-2
;  and with photon index 'alpha'
;
;  Call: array 'e' with energies - should encompass e1 and e2
;
f = e^(-alpha) * absorp(nh, e)
q = s / sflux(e1,e2,e,f)
return,f * q
end
