function crossprod, a, b
;
; Vectorial product a X b == cross product
;
; This is equivalent to the IDL routine CROSSP
;
c = fltarr(3)
c(0) = a(1) * b(2) - a(2) * b(1)
c(1) = a(2) * b(0) - a(0) * b(2)
c(2) = a(0) * b(1) - a(1) * b(0)

return, c
end
