function cut, im, c1,c2
;
; Returns the image rescaled between c1 and c2
; from 0 to 255
;
if n_params() lt 3 then begin
   c1 = min(im)
   c2 = max(im)
endif
return, (((im > c1) < c2) - c1) * 255.9 / (c2-c1)
end
