function ddpoly, x, c
;
;  The second derivative of polynomium as defined by
;  the IDL function: poly(x,c)
;
;  2004-11-10/NJW
;
if n_params() ne 2 then begin
   print,'Syntax: ydotdot = ddpoly(x,c)'
   return,-1
endif

n = n_elements(c)
if n le 2 then return, x*0
if n eq 3 then return, replicate(2*c(2),n_elements(x))
a = findgen(n)
b = shift(a,1)
return, poly(x,b(2:*)*a(2:*)*c(2:*))
end
