pro double_yax, x, y, a, b, new_title, _extra=e
;
; A procedure to make a plot with two different y-axes
; Left axis is indicated by array 'y' and right axis by the
; linear transformation  yp = a*y + b
;
plot, x, y, ystyle=23, xstyle=3, xmargin=[10,10], _extra=e
axis,!x.crange(0),0,yaxis=0
!y.crange = !y.crange * a + b
axis,!x.crange(1),0,yaxis=1,ytitle=new_title
end
