function dpoly, x, c
;
;  The first derivative of polynomium as defined by
;  the IDL function: poly(x,c)
;
;  2004-11-10/NJW
;
if n_params() ne 2 then begin
   print,'Syntax: ydot = dpoly(x,c)'
   return,-1
endif

n = n_elements(c)
if n eq 1 then return, x*0
if n eq 2 then return, replicate(c(1), n_elements(x))
a = findgen(n)
return, poly(x,a(1:*)*c(1:*))
end
