function file_testz, filename, foundname=foundname, _extra=e
;
;  A function similar to the built-in function 'file_test'
;  with the addition that it accepts filename with or
;  without appended '.gz'
;
;   2004-10-27/NJW
;
;  First try original version
res = file_test( filename, _extra=e )
foundname = filename
if res then return, res

; See if filename has .gz extension

len = strlen(filename)
if strmid( filename, len-3, 3 ) eq '.gz' then begin
   fname = strmid( filename, 0, len-3 )
   res = file_test( fname, _extra=e )
   if res then foundname = fname else foundname = ''
   return, res
endif else begin
   fname = filename+'.gz'
   res = file_test( fname, _extra=e )
   if res then foundname = fname else foundname = ''
   return, res
endelse
end
