pro fitgauss,x,a,f,pder
if n_elements(a) ne 3 then begin
  print,'Array a does not have length 3'
  return
endif
f = x
pder = fltarr(n_elements(x),3)
for i = 0,n_elements(x)-1 do begin
  arg = (x(i) - a(1)) / a(2)
  if abs(arg) gt 7.0 then begin
    f(i) = 0.0
    pder(i,*) = 0.0
  endif else begin
    e = exp(-0.5*arg^2)
    f(i) = a(0)*e
    pder(i,0) = e
    pder(i,1) = f(i) * arg / a(2)
    pder(i,2) = pder(i,1) * arg
  endelse
endfor
return
end
