pro flash_src, source, pane, dist=dist
;
; Display the source parameters. A DSRI_CAT procedure.
;
if n_params() lt 2 then begin
   print,'Syntax: flash_src, source{structure}, pane[,dist=]'
   return
endif

dy = 0.05
y = 0.93
x1 = 0.05
x2 = x1 + 0.35
x3 = x2 + 0.2
!p.charsize=1.5
window,pane,xs=500,ys=450,title='Serial#'+strtrim(source.serial,2)
xyouts,x1,y,'SOURCENAME',/norm
xyouts,x2,y,source.sourcename,/norm
y = y - dy
xyouts,x1,y,'RA',/norm
xyouts,x2,y,strtrim(source.ra,2),/norm
xyouts,x3,y,strtrim(adstring(source.ra/15.),2),/norm
y = y - dy
xyouts,x1,y,'DEC',/norm
xyouts,x2,y,strtrim(source.dec,2),/norm
xyouts,x3,y,strtrim(adstring(source.dec),2),/norm
y = y - dy
xyouts,x1,y,'NH',/norm
xyouts,x2,y,strtrim(source.nh,2),/norm
y = y - dy
xyouts,x1,y,'INTENSCODE',/norm
xyouts,x2,y,strtrim(source.intenscode,2),/norm
y = y - dy
xyouts,x1,y,'SPECTRCODE',/norm
xyouts,x2,y,strtrim(source.spectrcode,2),/norm
y = y - dy
xyouts,x1,y,'INTENS',/norm
xyouts,x2,y,strtrim(source.intens,2),/norm
y = y - dy
xyouts,x1,y,'PARAM1',/norm
xyouts,x2,y,strtrim(source.param1,2),/norm
y = y - dy
xyouts,x1,y,'PARAM2',/norm
xyouts,x2,y,strtrim(source.param2,2),/norm
y = y - dy
xyouts,x1,y,'SERIAL',/norm
xyouts,x2,y,strtrim(source.serial,2),/norm
y = y - dy
xyouts,x1,y,'REFERNCE',/norm
xyouts,x2,y,strtrim(source.refernce,2),/norm
y = y - dy
xyouts,x1,y,'CATALOG',/norm
xyouts,x2,y,strtrim(source.catalog,2),/norm
y = y - dy
xyouts,x1,y,'CATEGORY',/norm
xyouts,x2,y,strtrim(source.category,2),/norm
y = y - dy
xyouts,x1,y,'INBOOK',/norm
xyouts,x2,y,strtrim(source.inbook,2),/norm

if keyword_set(dist) then begin
   y = y - dy
   xyouts,x1,y,'Distance: ',/norm
   xyouts,x2,y,strtrim(dist,2)+' arcmin',/norm
endif

end
