;
; The function 'FUNKCHI2' as used in the 'unimin' minimization
;
function funkchi2,x
;
common offset, offset
common drm, rmat, xv, y, dy
n = n_elements(x)
i = n / 2
i1 = offset - i
i2 = offset + i
if( i1 lt 0 or i2 gt n_elements(xv)-1 ) then begin
   print,'Variable offset outside boundaries'
   return,-1.
endif
xv(i1:i2) = x
m = xv # rmat
return,chi2( m, y, dy)
end
