function get_par, filename, parname, int=int, lng=lng

; Return the new parameter : double precision [default]
;                           integer (fix) -  keyword 'int'
;                           long          -  keyword 'lng'

par_new = comget(filename, parname, ierr)
if keyword_set(int) then par_new = fix(par_new)
if keyword_set(lng) then par_new = long(par_new)

print,'Default '+parname+' [', par_new,']'
answer = ''
read,'       New '+parname+' : ... ', answer
if answer ne '' then begin
   if keyword_set(int) or keyword_set(lng) then begin
      if keyword_set(int) then begin
         par_new = fix(answer)
      endif
      if keyword_set(lng) then begin
         par_new = long(answer)
      endif
   endif else begin
      par_new = double(answer)
   endelse
   ierr = comreplace(filename, parname, par_new)
endif
print,'The new '+parname+' is: ', par_new
return, par_new
end
