function hepc_crebin,arr
;
;  ' HEPC Column rebin '
;
;  Rebin  drm (detector response matrix) with 128 columns to
;  a matrix with 24 columns
;
is = size(arr)
if( is(0) ne 2 or is(2) ne 128 ) then begin
  print,'2. Dimension of array must be 128'
  return,-1.
endif
lolim=[0,1,2,3,4,6,8,10,13,16,19,22,26,30,35,40,46,53,60,$
68,78,88,100,113]
hilim = intarr(24)
for i = 0, 22 do hilim(i) = lolim(i+1)-1
hilim(23) = 127
res = fltarr(is(1),24)
for j = 0, is(1)-1 do begin
   for i = 0,23 do res(j,i)=total(arr(j, lolim(i):hilim(i)))
endfor
return,res
end
