function hepc_rebin,arr
;
;  ' HEPC vector rebin '
;
;  Rebin 128 channel to 24 like in PROS
;
if( n_elements(arr) ne 128 ) then begin
  print,'Dimension of array must be 128'
  return,-1.
endif
lolim=[0,1,2,3,4,6,8,10,13,16,19,22,26,30,35,40,46,53,60,$
68,78,88,100,113]
hilim = intarr(24)
for i = 0, 22 do hilim(i) = lolim(i+1)-1
hilim(23) = 127
res = fltarr(24)
for i = 0,23 do res(i)=total(arr(lolim(i):hilim(i)))
return,res
end
