function hpw_positions, x, y
;
; x and y are arrays with event positions
;
; First get center both in x and y, but exclude points far off
;
x0 = avg(x)
rx = rms(x)
iw = where(x gt x0-rx and x lt x0+rx)
xx = x - avg(x(iw))
y0 = avg(y)
ry = rms(y)
iw = where(y gt y0-ry and y lt y0+ry)
yy = y - avg(y(iw))
;
; Get distribution in radius
;
r = sqrt(xx^2 + yy^2)
;
; sort the radius array
;
r = r(sort(r))
;
; multiply with 2 since the diameter is expected
;
return, r(n_elements(r)/2)*2
end
