function im_match, image1, image2, a, b
;
; This scales image2 to a linear least square of image1 and
; returns the scaled image2 plus the two coefficients a and b
;
s2 = total(image2*image2)
s1 = total(image2)
n = n_elements(image1)
ds = total(image1*image2)
d1 = total(image1)
det = n * s2 - s1*s1
a = (n * ds - s1 * d1) / det
b = (s2 * d1 - s1 * ds) / det
print,'Match with a = ', a, ',  b = ', b
return, a*image2 + b
end
