function is_fits, filename
;
;  Simple test for FITS format
;
;   2004-05-25/NJW
;
openr,lun,filename,/get_lun

b = bytarr(30)

file = fstat(lun)
nbytes = file.size
if nbytes lt 2880 then begin
   free_lun, lun
   return, 0
endif

readu,lun, b
free_lun,lun

; Check for first keyword is "SIMPLE  =              T"

if b(0) eq 83 and b(1) eq 73 and b(2) eq 77 and b(3) eq 80 $
   and b(4) eq 76 and b(5) eq 69 and b(29) eq 84 then return, 1

return, 0

end
