pro jiir_cat2sx, ucat

;* ucat = '/home/njw/work/jiir_cats/a2/jiir_a2_ucat.fits'

logfile = get_next_filename('jiir_cat2sx_????.scm')

openw,lun,logfile,/get_lun

printf,lun,'//   Results of jiir_cat2sx '+systime()
printf,lun,'// ucat = '+ucat

ucatdol = ucat+'+1'

rdfitscol,ucatdol,name,'SRCNAME',nrows=nrows

fxbopen,unit,ucat,1,uhdr
cat = fxpar(uhdr,'INPUTCAT')
catdol = cat+'+1'

rdfitscol,catdol,flux,'FLUX'
rdfitscol,catdol,e_min,'E_MIN'
rdfitscol,catdol,e_max,'E_MAX'
rdfitscol,catdol,ebin_num,'EBIN_NUM'


n = fxbcolnum(unit,'LIST_INT')

for isrc = 0, nrows-1 do begin

   printf,lun,'// block = ',isrc
   printf,lun,'// srcname = ',name(isrc)

   fxbread,unit,list_int,n,1+isrc
   nlist_int = n_elements(list_int)
   
   for i = 0, nlist_int-1 do begin
      ;* cflux = flux(0:ebin_num(list_int(i))-1,list_int(i))
      cflux = flux(0:1,list_int(i))
      cemin = e_min(0:1,list_int(i))
      cemax = e_max(0:1,list_int(i))
      if i eq 0 then begin
         printf,lun,'// e_min0 = ', cemin(0)
         printf,lun,'// e_max0 = ', cemax(0)
         printf,lun,'// e_min1 = ', cemin(1)
         printf,lun,'// e_max1 = ', cemax(1)
      endif
      print,i,cflux,cemin,cemax
   
      res = calc_iros_sx(2,63,cflux,cemin,cemax)
      print,res
      xres = fltarr(2+n_elements(res))
      xres(0:1) = cflux
      xres(2:*) = res
      printf,lun,xres
   endfor

endfor

print,'The results are in file: ', logfile

free_lun,lun
fxbclose,unit

end
