pro make_swp_6linefit, filename, res
!p.title = 'SWP'+filename+'l.tabcal'
!x.title = 'Wavelength (A)'
!y.title = 'Intensity (10!u-14!n erg cm!u-2!n s!u-1!n A!u-1!n)'
print,'/b/njw/FITS/swp'+filename+'l.tabcal'
rtable2,'/b/njw/FITS/swp'+filename+'l.tabcal',x,y
openw,2,'swp'+filename+'l.result'
printf,2,'IUE data : SWP'+filename+'l.tabcal'
y = y(where(x gt 1225.)) * 1.e14
x = x(where(x gt 1225.))
a = [50.,1255.,10.,-10.,1258.,2.,10.,1289.,10.,20.,1449.,10.,30.,1603.,10.,10.,1697.,10.,0.,0.,0.]
frys = [1,1,1,  1,0,1,  1,0,0,  1,1,0,  1,1,1,  1,0,0,  1,1,1]
w = x
w(*) = 5.
res = ngaussfit(6,x,y,w,a,frys,sigmaa)
plot,x,y,psym=10,xr=[1200.,1980.],yr=[-20.,80.]
oplot,x,res
oplot,(x-1250.)*3.+1600.,y+20.,psym=10
oplot,(x-1250.)*3.+1600.,res+20.
oplot,x,y-res-10.,psym=10
sigmaa = sigmaa * (rms(y - res) / 5.)
print,'New RMS: ',rms(y - res)
printf,2,'New RMS: ',rms(y - res)
for i = 0,17 do begin
  if( frys(i) eq 1 ) then begin
  printf,2,format='(i2,f7.1," +-",f5.1)',i,a(i),sigmaa(i)
  endif else printf,2,format='(i2,f7.1)',i,a(i)
endfor
for i = 18,20 do begin
  if( frys(i) eq 1 ) then begin
  printf,2,format='(i2,e11.2," +-",e11.2)',i,a(i),sigmaa(i)
  endif else printf,2,format='(i2,e11.2)',i,a(i)
endfor
close,2
return
end
