pro make_swp_7linefit, filename, res
common absorp, xla, wab
!p.title = 'SWP'+filename+'l.tabcal              '+systime()
!x.title = 'Wavelength (A)'
!y.title = 'Intensity (10!u-14!n erg cm!u-2!n s!u-1!n A!u-1!n)'
print,'/b/njw/FITS/swp'+filename+'l.tabcal'
rtable2,'/b/njw/FITS/swp'+filename+'l.tabcal',x,y
openw,2,'swp'+filename+'l.result'
printf,2,'IUE data : SWP'+filename+'l.tabcal'
y = y(where(x gt 1228.)) * 1.e14
x = x(where(x gt 1228.))
a = [50.,1255.,10.,-5.,1258.,3.,10.,1289.,10.,20.,1449.,10.,30.,1603.,10.,10.,1697.,10.,5.,1721.,10.,0.,0.,0.]
a(4) = xla
a(5) = wab
frys = [1,1,1,  1,0,0,  1,0,0,  1,1,0,  1,1,1,  1,0,0,  1,0,0, 1,1,1]
w = x
w(*) = 1.
res = ngaussfit(7,x,y,w,a,frys,sigmaa)
plot,x,y,psym=10,xr=[1200.,1980.],yr=[-20.,80.]
oplot,x,res
q = 48./max(y)
oplot,(x-1250.)*3.+1600.,y*q+30.,psym=10
oplot,(x-1250.)*3.+1600.,res*q+30.
oplot,x,y-res-10.,psym=10
oplot,[1200.,1980.],[0.,0.]
oplot,[1200.,1980.],[-10.,-10.],linestyle=2
xrms = rms(y - res)
sigmaa = sigmaa * xrms
print,'New RMS: ',xrms
print,sigmaa
printf,2,'New RMS: ',xrms
for i = 0,20 do begin
  if( frys(i) eq 1 ) then begin
  printf,2,format='(i2,f8.2," +-",f6.2)',i,a(i),sigmaa(i)
  endif else printf,2,format='(i2,f8.2)',i,a(i)
endfor
for i = 21,23 do begin
  if( frys(i) eq 1 ) then begin
  printf,2,format='(i2,e11.2," +-",e11.2)',i,a(i),sigmaa(i)
  endif else printf,2,format='(i2,e11.2)',i,a(i)
endfor
close,2
return
end
