function maxarray,ar,ix
;
; Get maximum of array 'ar' and coordinate of it
;
; See also 'maxim.pro' that works for 2D images
; This one is more general
;
; NJW probably 1995
;
if n_params() ne 2 then begin
   print,'maxvalue = maxarray(<array, > indices)'
   retall
endif
sz = size(ar)
x = max(ar,index)
ndim = sz(0)
if( ndim le 1 ) then begin
   ix = index
   return,x
endif
factor = lonarr(ndim)
ix = intarr(ndim)
factor(0) = 1
for i = 1,ndim-1 do factor(i) = sz(i) * factor(i-1)
for i = 0,ndim-1 do begin
   ix(ndim-1-i) = index/factor(ndim-1-i)
   index = index - ix(ndim-1-i)*factor(ndim-1-i)
endfor
return,x
end
