pro maxim, im, mx, xm, ym, silent=silent

; Procedure that prints the max of an image as well as the
; coordinates in pixels
;
; The function 'maxarray' does the same job in a more general way:
; it handles any dimension
;
; NJW May 1996

if n_params() lt 1 then begin
   print,'MAXIM, image_array, maxval, x_max, y_max, silent='
   return
endif

; If the arguments are given the values are returned

if keyword_set(silent) then p=0 else p=1
sz = size(im)
if p then print,'Image size ', sz(1), sz(2)
mx = max(im,imx)
ym = imx / sz(1)
xm = imx - ym * sz(1)
if p then print,'Max value : ', mx
if p then print,'found at : ', xm, ym
return
end
