pro meka_rd_lineparn, energy, id, lambda
;
; Read the line parameter file
;
openr,lun,'/home/njw/meka_code/dat/lineparn.dat',/get_lun

energy = fltarr(3000)
id = strarr(3000)
lambda = fltarr(3000)

line = ''
; Skip the two headlines
readf,lun,line
readf,lun,line
; Start reading
lno = 1
lno_prev = 0
idstr = ''
lam = 1.0
readf,lun,lno,idstr,lam,format='(i4,x,a18,f8.4,a)'
k = 0
while lno ne 0 do begin
   if lno eq lno_prev + 1 then begin
      lambda(k) = lam
      energy(k) = 12.3985/lambda(k)
      id(k) = idstr
      k = k + 1
      lno_prev = lno
   endif
   readf,lun,lno,idstr,lam,format='(i4,x,a18,f8.4,a)'
endwhile
close,lun
free_lun,lun

lambda = lambda(0:k-1)
energy = energy(0:k-1)
id     = id(0:k-1)

end
