pro mid_get_keyval, line, key, val
;
;  Additional MIDI software
;
;    line format:   xxxx | yyyyy | kkkk=iii | llll=jjjj
;           counting starts with 0
;
;   2004-07-13/NJW
;

if n_params() lt 3 then begin
	print,'Syntax: mid_get_keyval, line, key, val'
	return
endif
tok = strsplit(line, '|', /extract)
ntok = n_elements(tok)


val=-999
for i = 0, ntok-1 do begin
	s = strtrim(tok(i),2)
	if strpos(s,'=') lt 0 then continue
	vals = strsplit(s,'=',/extract)
	pkey = strtrim(vals(0),2)
	if strlowcase(pkey) eq strlowcase(key) then begin
		s = strtrim(vals(1),2)
		if is_digit(s) then val = fix(vals(1)) else val = s
		return
	endif
endfor

end
