pro mid_get_tsig, barnum, nbeatpm, beatval
;
;  Additional MIDI software
;
;      2004-07-15/NJW
;
if n_params() lt 3 then begin
	print,'Syntax: mid_get_tsig, barnum, nbeatpm, beatval'
	return
endif

common mid_settings, timesig, ntickpq

x = timesig(*,0)
w = where( x le barnum, nw)
if nw eq 0 then begin
	print,'MID_GET_TSIG error #1'
	return
endif

i = max(w)
nbeatpm = timesig(i,1)
beatval = timesig(i,2)
return
end
