pro mid_log_event, lulog, event
;
;  Additional MIDI software
;
;   2004-08-14/NJW
;

common mid_last_mbt, last_mbt
common mid_settings, timesig, ntickpq
common mid_filestreams, lun, luout, kount_in, kount_out
common mid_line_buffer, nline_buffer, line_buffer

mbt_arr = intarr(3)

event = { mbt: '', tpos: double(0), type:'', att1:'', att2:'', $
	ival1:0, ival2:long(0), val2:'', text:'' }

if n_params() lt 2 then begin
	print,'Syntax: mid_log_event, lulog, event'
	return
endif

if lulog le 0 then begin
	print,'********EVENT****************'
	print,' mbt      : ', event.mbt
	print,' tpos     : ', stri(event.tpos)
	print,' type     : ', event.type
	print,' att1     : ', event.att1
	print,' att2     : ', event.att2
	print,' ival1    : ', stri(event.ival1)
	print,' ival2    : ', stri(event.ival2)
	print,' val2     : ', event.val2
	print,' text     : ', event.text
endif else begin
	printf,lulog,'********EVENT****************'
	printf,lulog,' mbt      : ', event.mbt
	printf,lulog,' tpos     : ', stri(event.tpos)
	printf,lulog,' type     : ', event.type
	printf,lulog,' att1     : ', event.att1
	printf,lulog,' att2     : ', event.att2
	printf,lulog,' ival1    : ', stri(event.ival1)
	printf,lulog,' ival2    : ', stri(event.ival2)
	printf,lulog,' val2     : ', event.val2
	printf,lulog,' text     : ', event.text
endelse

end
