pro mk_nl_soft_links, inrev
;
sz = size(inrev)
if sz(1) ne 7 then begin
   print,'argument must be 2 digit string'
   return
end
if strlen(inrev) ne 2 then begin
   print,'argument must be 2 digit string'
   return
end


dir = '/r6/jemx/sci_data/lmc_27-29_33-35/lmc00'+inrev+'/'
list = read_slist(dir+'list00'+inrev, count=nlist)

openw,lun,'mk_sl_00'+inrev,/get_lun
openw,lut,'run_f2s_00'+inrev,/get_lun

for i = 0, nlist-1 do begin
   swid = strmid(list(i),3,12)
   rev = strmid(swid,1,3)
   pid = strmid(swid,4,4)
   isub = fix(strmid(swid,8,3)) - 1
   sub = string(isub,format='(i3.3)')
   nam = 'r2_'+rev+'_'+pid+'_'+sub
   name = 'r2_'+rev+'_'+pid+'_'+sub+'.fits'
   printf,lun,'ln -s '+dir+list(i)+' '+name
   printf,lut,'/users/jerome/JEMX/Midisky/fits2shdg '+nam
endfor

free_lun, lun
free_lun, lut

end
