function ndate, code, utc=utc
;
; Returns  YYMMDD if 'code' is 0 (zero) or absent
;          YYYY-MM-DD if code is 1 (one)
;          YYYY-MM-DDTHH:MM:SS if code is 2 (two)
;
if n_params() eq 0 then code = 0

app = ''
if keyword_set(utc) then app = 'Z'
stime = systime(utc=utc)

time = strmid(stime,11,8)
year = strmid(stime,22,2)
month = strmid(stime,4,3)
if month eq 'Jan' then month = '01'
if month eq 'Feb' then month = '02'
if month eq 'Mar' then month = '03'
if month eq 'Apr' then month = '04'
if month eq 'May' then month = '05'
if month eq 'Jun' then month = '06'
if month eq 'Jul' then month = '07'
if month eq 'Aug' then month = '08'
if month eq 'Sep' then month = '09'
if month eq 'Oct' then month = '10'
if month eq 'Nov' then month = '11'
if month eq 'Dec' then month = '12'
val = 1
reads,strmid(stime,8,2),val
day = string(val,format='(i2.2)')
if code eq 0 then begin
	return,year+month+day
endif
if code eq 1 then begin
	return,'20'+year+'-'+month+'-'+day
endif
return,'20'+year+'-'+month+'-'+day+'T'+time+app
end
