pro odataplotg, x, y, dy, _extra=e
;
; Lin-lin plot of datapoints
; In the y-direction the length of the error bars are given by '+-dy'
;
if( n_params() ne 3 ) then begin
   print,'odataplotg, x, y, dy[, (keywords)]'
   return
endif
nx = n_elements(x)
if( (nx ne n_elements(y)) or (nx ne n_elements(dy)) ) then begin
  print,'The arrays have different dimensions !'
  return
endif
nx = n_elements(x)
oplot,x,y,_extra=e
for i = 1, nx do begin
  oplot,[x(i-1),x(i-1)],[y(i-1)-dy(i-1),y(i-1)+dy(i-1)],_extra=e
endfor
end

