function peak_1d,y
;
; Returns an array with peak positions from the 1D input array
;
ny = n_elements(y)
sl = ny / 10
ydif = y - smooth(y,sl)
ydif(where(ydif lt 0)) = 0
lim = max(ydif)/10
t = where(ydif gt lim)
t1 = t - shift(t,1)
t2 = t - shift(t,-1)
start = t(where(t1 ne 1))
slut = t(where(t2 ne -1))
return,(start+slut)/2
end
