pro pip2gif, image_name
;
; Procedure to read .pip image, invert and reshape and
; output in .gif format
;
n = strlen(image_name)
ext = strmid(image_name,n-3,3)
bas = strmid(image_name,0,n-3)
print,bas
print,ext
if ext ne 'pip' then begin
   print,'The image does not conform with pip'
   stop
endif

im = bytarr(512,512)
openr,lun,image_name,/get_lun
readu,lun,im
close,lun
free_lun,lun

window,0,xs=512,ys=512,title='Original image'
tvscl,im
im = reverse(im,2)

im = congrid(im,512,360)
window,2,xs=512,ys=360,title='Reversed and resized'
tvscl,im

write_gif,bas+'gif',im
end
