pro plotnumber,num,col=col,sub=sub

; Add plotnumber: plot0000 in upper left corner of plot

if n_params() lt 1 then begin
   print,'Syntax: plotnumber, num[, col=][, sub]'
   print,'  keyword  col: color,  sub: appended string'
   return
endif

xpos = !x.s(1) * !x.crange(0) + !x.s(0)
ypos = !y.s(1) * !y.crange(1) + !y.s(0)+0.01
ic=!p.color
if keyword_set(col) then ic = col
str = string(num,format='("plot",i4.4)')
if keyword_set(sub) then str = str+sub
xyouts,xpos,ypos,str,/normal,alignment=0.0,charsize=0.7,color=ic
end
