function poisson_dist, mean, n
;
; Returns a Poisson distribution from 0 through n-1
;
d = dblarr(n)
faculty = 1.d0
pw = 1.d0
for i = 0, n-1 do begin
   d(i) = pw / faculty
   faculty = faculty * (i+1)
   pw = pw * mean
endfor
return, d * exp(-mean)
end
