pro primes_triad, min_nu, max_nu
;
; List of prime numbers nu = 3*n + 1, n must be even
;
n2min = floor((min_nu-1)/6.)
n = n2min*2
repeat begin
   nu = 3L * n + 1
   ;
   ; search for divisor
   ;
   limit = fix(sqrt(nu))
   found = 0
   for j = 3L, limit, 2 do begin
      if nu mod j eq 0 then found = 1 ; divisor has been found - no prime
   endfor
   if not found then begin
      nr = hex_r(nu,res)
      print,'--------------------------------------------------'
      print, nu, ' Number of hex r s : ', nr
      if nr gt 0 then begin
         mn = min([nr,10])
         print,res(0:mn-1)
      endif
   endif
   n = n + 2
endrep until nu gt max_nu
end
