function product, arr
;
;  Calculates the product of all elements i.e.
;  the mathematical capital PI expression
;  [Equivalent to the IDL 'total' function]
;
;  010419/NJW
;
if n_params() lt 1 then begin
   print,'Syntax: res = product(array)'
   print
   print,'  Returns a scalar of type double'
   print
   return, -1.d0
endif

n = n_elements(arr)

if n eq 1 then return, double(arr(0))

p = double(arr(0))

for i = 1, n-1 do p = p * arr(i)

return, p

end
