function ray_x_plane, s, r, p, n
;
;  Returns vector with 3 elements as the coordinates for a ray
;  crossing a plane
;
;   Call :   s  3 elem vector   point on ray path
;            r  3 elem vector   ray direction
;            p  3 elem vector   point in plane
;            n  3 elem vector   normal vector to plane
;
t = total(n*(p-s)) / total(n*r)
return,s+t*r
end
