function read_slist, filename, count=count
;
; Read a file and return in a string array
;

if n_params() ne 1 then begin
   print,'Syntax: res = read_slist(filename[,count=])'
   return,''
endif

; First see if the file exists

if not file_test(filename,/reg) then begin
   print,filename+' does not exist!'
   count = -1
   return,''
endif

s = ' '
openr,unit,filename,/get_lun
i = 0
while not eof(unit) do begin
   readf,unit,s
   if i eq 0 then st = [s] else st = [st,s]
   i = i + 1
endwhile

count = i

free_lun,unit
if i eq 0 then return,'' else return,st
end
