pro repair_ghist, gain_hist_file
;
;   2005-09-01/NJW
;
;   "Repair gain history index table"
;
if n_params() lt 1 then begin
   print,'Syntax: repair_ghist, gain_hist_file'
   return
endif

if not file_test(gain_hist_file,/reg) then begin
   print,gain_hist_file+' does not exist'
   return
endif

; Make a backup to begin with

answer = ''
read,'Do you want to make a backup ? ... ', answer
if strmid(strupcase(answer),0,1) eq 'Y' then spawn,'back '+gain_hist_file

rdfitscol,gain_hist_file+'+1',tstart,'tstart',/sil
rdfitscol,gain_hist_file+'+1',tstop,'tstop',/sil
rdfitscol,gain_hist_file+'+1',pkchan_1,'pkchan_1',/sil
rdfitscol,gain_hist_file+'+1',pkchan_2,'pkchan_2',/sil
rdfitscol,gain_hist_file+'+1',pkchan_3,'pkchan_3',/sil
rdfitscol,gain_hist_file+'+1',pkchan_4,'pkchan_4',/sil
time = 0.5*(tstart+tstop)

plot,time,pkchan_1
new_pkchan_1 = repair_array( pkchan_1 )
oplot,time,new_pkchan_1,thick=3
answer = ''
read,'1: Fix this ? ... ', answer
if strmid(strupcase(answer),0,1) eq 'Y' then begin
   print,'Substituting PKCHAN_1 ...'
   fits_replace_col, gain_hist_file+'+1','PKCHAN_1',new_pkchan_1
endif

plot,time,pkchan_2
new_pkchan_2 = repair_array( pkchan_2 )
oplot,time,new_pkchan_2,thick=3
answer = ''
read,'2: Fix this ? ... ', answer
if strmid(strupcase(answer),0,1) eq 'Y' then begin
   print,'Substituting PKCHAN_2 ...'
   fits_replace_col, gain_hist_file+'+1','PKCHAN_2',new_pkchan_2
endif

plot,time,pkchan_3
new_pkchan_3 = repair_array( pkchan_3 )
oplot,time,new_pkchan_3,thick=3
answer = ''
read,'3: Fix this ? ... ', answer
if strmid(strupcase(answer),0,1) eq 'Y' then begin
   print,'Substituting PKCHAN_3 ...'
   fits_replace_col, gain_hist_file+'+1','PKCHAN_3',new_pkchan_3
endif

plot,time,pkchan_4
new_pkchan_4 = repair_array( pkchan_4 )
oplot,time,new_pkchan_4,thick=3
answer = ''
read,'4: Fix this ? ... ', answer
if strmid(strupcase(answer),0,1) eq 'Y' then begin
   print,'Substituting PKCHAN_4 ...'
   fits_replace_col, gain_hist_file+'+1','PKCHAN_4',new_pkchan_4
endif

end
