function robust,model,y,dy
;
; Evaluate 'robust' for robust fitting
;
nm = n_elements(model)
if( nm ne n_elements(y) or nm ne n_elements(dy) ) then begin
   print,'The arrays have different dimensions !'
   return,-1.
endif
;
d = (y - model) / dy
return,total(alog(1. + d*d))
end
