function rst_crebin,arr
;
;  ' ROSAT Column Rebin '
;
; Rebin drm (detector response matrix) with 256 columns to a matrix
; with 34 columns
;
is = size(arr)
if( is(0) ne 2 or is(2) ne 256 ) then begin
  print,'2. Dimension of array must be 256'
  return,-1.
endif
lolim=[6,8,10,13,16,19,23,27,31,36,41,46,51,57,63,69,76,83,90,$
98,106,114,122,131,140,149,159,169,179,190,201,212,223,235]
hilim = intarr(34)
for i = 0, 32 do hilim(i) = lolim(i+1)-1
hilim(33) = 246
res = fltarr(is(1),34)
for j = 0, is(1)-1 do begin
   for i = 0,33 do res(j,i)=total(arr(j, lolim(i):hilim(i)))
endfor
return,res
end
