function rst_rebin,arr
;
;  ' ROSAT vector rebin '
;
;  Rebin 256 channel to 34 almost exactly like in PROS
;
if( n_elements(arr) ne 256 ) then begin
  print,'Dimension of array must be 256'
  return,-1.
endif
lolim=[6,8,10,13,16,19,23,27,31,36,41,46,51,57,63,69,76,83,90,$
98,106,114,122,131,140,149,159,169,179,190,201,212,223,235]
hilim = intarr(34)
for i = 0, 32 do hilim(i) = lolim(i+1)-1
hilim(33) = 246
res = fltarr(34)
for i = 0,33 do res(i)=total(arr(lolim(i):hilim(i)))
return,res
end
