function rst_rrebin,arr
;
;  ' ROSAT Row Rebin '
;
; Rebin drm (detector response matrix) with 729 rows to a matrix
; with 34 rows. This is for direct deconvolution of a spectrum
;
is = size(arr)
if( is(0) ne 2 or is(1) ne 729 ) then begin
  print,'1. Dimension of array must be 729'
  return,-1.
endif
lolim=[0,59,108,133,148,156,161,165,197,235,261,278,288,$
312,324,333,349,358,366,376,386,397,409,421,434,448,461,475,488,$
501,520,542,571,607]
hilim = intarr(34)
for i = 0, 32 do hilim(i) = lolim(i+1)-1
hilim(33) = 728
res = fltarr(34, is(2))
for j = 0, is(2)-1 do begin
   for i = 0,33 do res(i,j)=total(arr( lolim(i):hilim(i), j ))
endfor
return,res
end
