function sep_filename, file
;
;  Separate the path of a file into pieces. The separator
;  depends on the Operative System
;
;   NJW/010308
;   Updated 2003-06-14/NJW to include linux as OS
;        and use strsplit
;
if !version.os eq 'sunos' or !version.os eq 'linux' then begin
   return, strsplit(file,'/',/extract)
endif else if !version.os eq 'Win32' then begin
   return, strsplit(file,'\',/extract)
endif else begin
   print,'sep_filename error, unknown OS'
   return,''
endelse

end
