pro show_fraction, q, style=style, init=init
;
; Display a fraction
;
;  If keyword 'init' is set a window will be defined
;  if not, the window will be updated
;

common com_show_fraction, istyle, ns, nx, ny

if keyword_set(init) then begin

; Keyword 'style' must be defined
   if not keyword_set(style) then begin
       print,'%SHOW_FRACTION, keyword style must be given'
       retall
   endif
   istyle = style

   case istyle of
      1: begin
          ns = 100
          window,10,xs=ns,ys=ns
         end
      2: begin
          nx = 100
          ny = 20
          window,10,xs=nx,ys=ny
         end
    else : print,'not applicable'
endcase
endif
wset,10
q = (q>0)<1.0
case istyle of
  1 : begin
         i = intarr(ns,ns)
         r = randomu(seed,ns,ns)
         s = where(r lt q, num)
         if num gt 0 then i(s) = 1
         tvscl,i
      end
  2 : begin
         i = intarr(nx,ny)
         lim = ((nx-1)*q)>0
         i(0:lim,*) = 1
         tvscl,i
      end
 else : print,'Not applicable'
endcase
end
