function span, xmin, xmax, nval
;
; Generate an array with nval linearly distributed
; numbers from xmin to xmax, both included
;
   if n_params() lt 3 then begin
      print,'res = span( xmin, xmax, nval)'
      print,'  returns double floating point'
      return,-1.
   endif

   return, xmin(0) + indgen(nval,/double) * (xmax(0) - xmin(0)) / double(nval-1)
end
