function str_reverse, str
;
;  Reverse string or each string in array of strings
;
;  NJW/991210,  updated 020307
;
sz = size(str)
if sz(1+sz(0)) ne 7 then begin
   print,'STR_REVERSE only accepts string argument'
   return,''
endif

if sz(0) eq 0 then begin
   len = strlen(str)
   out = str
   for i = 0, len-1 do begin
      s = strmid(str,len-1-i,1)
      strput,out,s,i
   endfor

   return, out
endif else begin
   n = n_elements(str)
   out = strarr(n)
   for i = 0L, n-1 do begin
      ostr = str(i)
      len = strlen(ostr)
      for j = 0, len-1 do begin
         s = strmid(str(i),len-1-j,1)
         strput,ostr,s,j
      endfor
      out(i) = ostr
   endfor
   return, out
endelse

end
