function strscitex, x
;
;  Returns a string with LaTeX notation assuming that the definition
;  \tene has been defined
;
;   NJW 991025
;
mantissa_expon, x, mant, expon

if x ge 0.0 then begin
   str = string(mant, format='(f4.2)')
endif else begin
   str = string(mant, format='(f5.2)')
endelse
if expon ne 0 then begin
   str = str+'\tene{'+strtrim(expon,2)+'}'
endif

return, str

end
