pro thumb_nail_gif,print=print
;
; Present existing gif images as thumbnail
;
if !d.name eq 'PS' then begin
   device,xoff=1.,yoff=1.,xs=17.,ys=26.
endif
list = findfile('*.gif')
n = n_elements(list)
np = (n-1)/9 + 1
for k = 0, np-1 do begin
   if !d.name eq 'X' then window,k,xs=600,ys=900 $
    else device,file='idl#'+string(k,format='(i2.2)')+'.ps'
   for i = 0,8 do begin
      m = i + k*9
      if m lt n then begin
         read_gif,list(m),im
         sz = size(im)
         nsz = sz(1:2)
         f = max(nsz)/200.
         xp = 200 * (i mod 3)
         yp = ((8 - i)/3)*300+100
         if !d.name eq 'X' then begin
            tvscl,congrid(im,nsz(0)/f,nsz(1)/f),xp,yp
            xyouts,xp+10,yp-50,list(m),/device
         endif else begin
            tvscl,congrid(im,nsz(0)/f,nsz(1)/f),xp*17./600,$
               yp*26./900,xs=17./3,ys=26./4,/centimeter
            xyouts,(xp+10)*1./600,(yp-50)*1./900,list(m),/norm
         endelse
      endif
   endfor
   if !d.name ne 'X' then device,/close
endfor
if keyword_set(print) then begin
   for k = 0, np-1 do begin
      file = 'idl#'+string(k,format='(i2.2)')+'.ps'
      spawn,'lpr -Plw3 '+file
   endfor
endif
end
