function tripcur,im,x2,y2
;
;  Function for image rotation and translation
;   1) leftmost point
;   2) center
;   3) rightmost point
;
;  Return translation and rotation
;
tvscl,im
x1 = x2
y1 = y2
while ( abs(x1-x2) le 2 and abs(y1-y2) le 2 ) do begin
   print,'Position cursor on leftmost point ...'
   cursor,x1,y1,/device
   wait,1
   print,'x = ',x1,'  y = ',y1
endwhile
x = x1
y = y1
while ( abs(x1-x) le 2 and abs(y1-y) le 2 ) do begin
   print,'Position cursor on central point ...'
   cursor,x,y,/device
   wait,1
   print,'x = ',x,'  y = ',y
endwhile
x2 = x
y2 = y
while ( abs(x-x2) le 2 and abs(y-y2) le 2 ) do begin
   print,'Position cursor on rightmost point ...'
   cursor,x2,y2,/device
   wait,1
   print,'x = ',x2,'  y = ',y2
endwhile
angle = atan(y2-y1,x2-x1)/0.0174533
print,'Rotation angle = ',angle
; Get better determination of x and y:
print,'Old x,y : ', x, y
xy = peaka(im,[fix(x),fix(y)],[15,15])
x = fix(xy(0)+0.5)
y = fix(xy(1)+0.5)
print,'New x,y : ', x, y
rm = rot(im,angle,1.,x,y)
tvscl,rm
return,rm
end
