function tripcurw,im
;
;  Function for image rotation and translation
;   1) leftmost point
;   2) center
;   3) rightmost point
;
;  Return translation and rotation
;
tvscl,im
print,'Position cursor on leftmost point ...'
cursor,x1,y1,/device
wait,0.5
print,'x = ',x1,'  y = ',y1
print,'Position cursor on central point ...'
cursor,x,y,/device
wait,0.5
print,'x = ',x,'  y = ',y
print,'Position cursor on rightmost point ...'
cursor,x2,y2,/device
wait,0.5
print,'x = ',x2,'  y = ',y2
angle = atan(y2-y1,x2-x1)/0.0174533
print,'Rotation angle = ',angle
; Get better determination of x and y:
xy = peaka(im,[fix(x),fix(y)],[21,21])
x = fix(xy(0)+0.5)
y = fix(xy(1)+0.5)
print,'New x,y : ', x, y
rm = rot(im,angle,1.,x,y)
tvscl,rm
return,rm
end
