function wbstep, im, f
;
; Change values in image 'im' to 'lift' small values into
; visibility. Assume range from 255 to 0
; f = 0 : no change
; f = 0.2 : recommendable
; f = 1 : no halftones
;
jm = im
i = where( im lt 255)
jm(i) = im(i)*(1-f)
return, jm
end
