pro week, year_in, weeknumber
;
; Reference Jan 1, 1970 is a thursday
;
if n_params() lt 2 then begin
   print,'WEEK, year, weeknumber'
   return
endif

weekdays = ['Monday','Tuesday','Wednesday','Thursday','Friday',$
            'Saturday','Sunday']
months = ['Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep',$
          'Oct','Nov','Dec']
days_in_months = [31,28,31,30,31,30,31,31,30,31,30,31]
if year_in mod 4 eq 0 then days_in_months(1) = 29
accum_days = intarr(12)
for i = 1,11 do accum_days(i) = accum_days(i-1)+days_in_months(i-1)

year = year_in
if year lt 100 then begin
   if year gt 50 then year = year + 1900
   if year le 50 then year = year + 2000
endif

num_of_years = year - 1970
num_of_leap_years = (num_of_years+1)/4

weekday_day1 = (3 + num_of_years + num_of_leap_years) mod 7

;* print,'Day 1 of ',year,' is a ',weekdays(weekday_day1)

if weekday_day1 le 3 then daynum_thur = 4 - weekday_day1 $
                     else daynum_thur = 11 - weekday_day1

;* print,'Daynumber of first thursday : ', daynum_thur
daynum_mon = daynum_thur - 3
;* print,'Daynumber of first monday : ', daynum_mon

if weeknumber eq 53 then num_first_day = daynum_mon - 7 $
   else num_first_day = daynum_mon + 7*(weeknumber-1)

for i = 0,6 do begin
   month = where(num_first_day+i gt accum_days)
   month = reverse(month)
   month = month(0)
   day_in_month = num_first_day+i - accum_days(month)
   print,num_first_day+i,' '+weekdays(i), day_in_month, ' '+months(month)
endfor

end
