pro zps, gv=gv, p3=p3
;
; Procedure to terminate PS plot
; and redirect plotting to screen
;
common plotfilename, plotfile

if !d.name eq 'PS' then device,/close

if keyword_set(p3) then begin
   print,'Sending plot to develop3 ...'
   spawn,'lpr -Pdevelop3 '+plotfile
endif

if keyword_set(gv) then spawn,'gv '+plotfile+' &'

if !version.os eq 'Win32' then begin
   set_plot,'win'
   print,'Plot device is now WIN'
endif else begin
   set_plot,'x'
   print,'Plot device is now X'
endelse

!p.font = -1

end
